build::Wx::build::Options(3p)

NAME
Wx::build::Options - retrieve wxWidgets/wxPerl build options

METHODS

  get_makemaker_options
  my %mm_options = Wx::build::Options->get_makemaker_options;

Returns options meaningful at wxPerl building time.

  my %options = ( mksymlinks   => 0,
                  extra_libs   => '',
                  extra_cflags => '',
                  subdirs      => { stc => 1,
                                    xrc => 0 } )

  write_config_file
  my $ok = Wx::build::Options->write_config_file( '/path/to/file' );

Writes a machine-readable representation of command-line options given to top-level Makefile.PL